Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.Designer.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.Designer.cs	(revision 477)
@@ -40,16 +40,26 @@
             this.lblValue02 = new System.Windows.Forms.Label();
             this.lblValue01 = new System.Windows.Forms.Label();
             this.btnCancel = new System.Windows.Forms.Button();
-            this.btnExecProc1 = new System.Windows.Forms.Button();
             this.groupBoxEx3 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.textBox1 = new System.Windows.Forms.TextBox();
             this.btnHelp = new System.Windows.Forms.Button();
+            this.pnlApproval = new System.Windows.Forms.Panel();
+            this.lblApprovalCount = new System.Windows.Forms.Label();
+            this.btnPetition = new System.Windows.Forms.Button();
+            this.btnApproval = new System.Windows.Forms.Button();
+            this.pnlApprovalButton = new System.Windows.Forms.Panel();
+            this.btnOnApproval = new System.Windows.Forms.Button();
+            this.btnNotApproval = new System.Windows.Forms.Button();
+            this.btnOnHold = new System.Windows.Forms.Button();
             this.groupBoxEx1.SuspendLayout();
             this.groupBoxEx3.SuspendLayout();
+            this.pnlApproval.SuspendLayout();
+            this.pnlApprovalButton.SuspendLayout();
             this.SuspendLayout();
             // 
             // label6
             // 
+            this.label6.ForeColor = System.Drawing.Color.Black;
             this.label6.Location = new System.Drawing.Point(360, 90);
             this.label6.Name = "label6";
             this.label6.Size = new System.Drawing.Size(100, 19);
@@ -69,6 +79,7 @@
             // 
             // label4
             // 
+            this.label4.ForeColor = System.Drawing.Color.Black;
             this.label4.Location = new System.Drawing.Point(8, 90);
             this.label4.Name = "label4";
             this.label4.Size = new System.Drawing.Size(120, 19);
@@ -88,7 +99,7 @@
             // groupBoxEx1
             // 
             this.groupBoxEx1.BackColor = System.Drawing.Color.Snow;
-            this.groupBoxEx1.BorderColor = System.Drawing.Color.SteelBlue;
+            this.groupBoxEx1.BorderColor = System.Drawing.Color.Red;
             this.groupBoxEx1.Controls.Add(this.label2);
             this.groupBoxEx1.Controls.Add(this.label6);
             this.groupBoxEx1.Controls.Add(this.label7);
@@ -99,7 +110,8 @@
             this.groupBoxEx1.Controls.Add(this.lblValue03);
             this.groupBoxEx1.Controls.Add(this.lblValue02);
             this.groupBoxEx1.Controls.Add(this.lblValue01);
-            this.groupBoxEx1.Location = new System.Drawing.Point(12, 10);
+            this.groupBoxEx1.ForeColor = System.Drawing.Color.Red;
+            this.groupBoxEx1.Location = new System.Drawing.Point(12, 40);
             this.groupBoxEx1.Name = "groupBoxEx1";
             this.groupBoxEx1.Size = new System.Drawing.Size(700, 120);
             this.groupBoxEx1.TabIndex = 19;
@@ -109,11 +121,11 @@
             // label2
             // 
             this.label2.AutoSize = true;
-            this.label2.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label2.Font = new System.Drawing.Font("ＭＳ 明朝", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.label2.ForeColor = System.Drawing.Color.Red;
-            this.label2.Location = new System.Drawing.Point(144, 60);
+            this.label2.Location = new System.Drawing.Point(258, 57);
             this.label2.Name = "label2";
-            this.label2.Size = new System.Drawing.Size(378, 21);
+            this.label2.Size = new System.Drawing.Size(410, 24);
             this.label2.TabIndex = 9;
             this.label2.Text = "※取消可能な回は最終回だけです。";
             // 
@@ -120,6 +132,7 @@
             // label7
             // 
             this.label7.AutoSize = true;
+            this.label7.ForeColor = System.Drawing.Color.Black;
             this.label7.Location = new System.Drawing.Point(244, 30);
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(51, 19);
@@ -128,6 +141,7 @@
             // 
             // label1
             // 
+            this.label1.ForeColor = System.Drawing.Color.Black;
             this.label1.Location = new System.Drawing.Point(8, 30);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(120, 19);
@@ -136,6 +150,7 @@
             // 
             // label3
             // 
+            this.label3.ForeColor = System.Drawing.Color.Black;
             this.label3.Location = new System.Drawing.Point(360, 30);
             this.label3.Name = "label3";
             this.label3.Size = new System.Drawing.Size(100, 19);
@@ -166,9 +181,10 @@
             // 
             // btnCancel
             // 
+            this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
             this.btnCancel.BackColor = System.Drawing.Color.Red;
             this.btnCancel.ForeColor = System.Drawing.Color.White;
-            this.btnCancel.Location = new System.Drawing.Point(572, 350);
+            this.btnCancel.Location = new System.Drawing.Point(572, 386);
             this.btnCancel.Name = "btnCancel";
             this.btnCancel.Size = new System.Drawing.Size(140, 40);
             this.btnCancel.TabIndex = 22;
@@ -176,18 +192,6 @@
             this.btnCancel.UseVisualStyleBackColor = false;
             this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
             // 
-            // btnExecProc1
-            // 
-            this.btnExecProc1.BackColor = System.Drawing.Color.White;
-            this.btnExecProc1.ForeColor = System.Drawing.Color.Red;
-            this.btnExecProc1.Location = new System.Drawing.Point(420, 350);
-            this.btnExecProc1.Name = "btnExecProc1";
-            this.btnExecProc1.Size = new System.Drawing.Size(140, 40);
-            this.btnExecProc1.TabIndex = 21;
-            this.btnExecProc1.Text = "取消申請";
-            this.btnExecProc1.UseVisualStyleBackColor = false;
-            this.btnExecProc1.Click += new System.EventHandler(this.btnExecProc1_Click);
-            // 
             // groupBoxEx3
             // 
             this.groupBoxEx3.BackColor = System.Drawing.Color.WhiteSmoke;
@@ -194,7 +198,7 @@
             this.groupBoxEx3.BorderColor = System.Drawing.Color.Red;
             this.groupBoxEx3.Controls.Add(this.textBox1);
             this.groupBoxEx3.ForeColor = System.Drawing.Color.Red;
-            this.groupBoxEx3.Location = new System.Drawing.Point(12, 138);
+            this.groupBoxEx3.Location = new System.Drawing.Point(12, 170);
             this.groupBoxEx3.Name = "groupBoxEx3";
             this.groupBoxEx3.Size = new System.Drawing.Size(700, 206);
             this.groupBoxEx3.TabIndex = 23;
@@ -219,7 +223,7 @@
             this.btnHelp.BackColor = System.Drawing.Color.Black;
             this.btnHelp.Font = new System.Drawing.Font("MS UI Gothic", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnHelp.ForeColor = System.Drawing.Color.White;
-            this.btnHelp.Location = new System.Drawing.Point(12, 353);
+            this.btnHelp.Location = new System.Drawing.Point(692, 4);
             this.btnHelp.Name = "btnHelp";
             this.btnHelp.Size = new System.Drawing.Size(30, 30);
             this.btnHelp.TabIndex = 119;
@@ -228,16 +232,117 @@
             this.btnHelp.UseVisualStyleBackColor = false;
             this.btnHelp.Click += new System.EventHandler(this.btnHelp_Click);
             // 
+            // pnlApproval
+            // 
+            this.pnlApproval.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.pnlApproval.BackColor = System.Drawing.Color.White;
+            this.pnlApproval.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.pnlApproval.Controls.Add(this.lblApprovalCount);
+            this.pnlApproval.Controls.Add(this.btnPetition);
+            this.pnlApproval.Controls.Add(this.btnApproval);
+            this.pnlApproval.Location = new System.Drawing.Point(424, 2);
+            this.pnlApproval.Name = "pnlApproval";
+            this.pnlApproval.Size = new System.Drawing.Size(262, 34);
+            this.pnlApproval.TabIndex = 120;
+            // 
+            // lblApprovalCount
+            // 
+            this.lblApprovalCount.BackColor = System.Drawing.Color.Black;
+            this.lblApprovalCount.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblApprovalCount.ForeColor = System.Drawing.Color.White;
+            this.lblApprovalCount.Location = new System.Drawing.Point(205, 3);
+            this.lblApprovalCount.Name = "lblApprovalCount";
+            this.lblApprovalCount.Size = new System.Drawing.Size(50, 24);
+            this.lblApprovalCount.TabIndex = 1;
+            this.lblApprovalCount.Text = "4/5";
+            this.lblApprovalCount.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnPetition
+            // 
+            this.btnPetition.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnPetition.BackColor = System.Drawing.Color.White;
+            this.btnPetition.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnPetition.ForeColor = System.Drawing.Color.Red;
+            this.btnPetition.Location = new System.Drawing.Point(3, 3);
+            this.btnPetition.Name = "btnPetition";
+            this.btnPetition.Size = new System.Drawing.Size(100, 24);
+            this.btnPetition.TabIndex = 12;
+            this.btnPetition.Text = "未申請";
+            this.btnPetition.UseVisualStyleBackColor = false;
+            // 
+            // btnApproval
+            // 
+            this.btnApproval.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnApproval.BackColor = System.Drawing.Color.White;
+            this.btnApproval.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnApproval.ForeColor = System.Drawing.Color.Red;
+            this.btnApproval.Location = new System.Drawing.Point(104, 3);
+            this.btnApproval.Name = "btnApproval";
+            this.btnApproval.Size = new System.Drawing.Size(100, 24);
+            this.btnApproval.TabIndex = 12;
+            this.btnApproval.Text = "未承認";
+            this.btnApproval.UseVisualStyleBackColor = false;
+            // 
+            // pnlApprovalButton
+            // 
+            this.pnlApprovalButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.pnlApprovalButton.AutoSize = true;
+            this.pnlApprovalButton.BackColor = System.Drawing.Color.White;
+            this.pnlApprovalButton.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.pnlApprovalButton.Controls.Add(this.btnOnApproval);
+            this.pnlApprovalButton.Controls.Add(this.btnNotApproval);
+            this.pnlApprovalButton.Controls.Add(this.btnOnHold);
+            this.pnlApprovalButton.Location = new System.Drawing.Point(424, 2);
+            this.pnlApprovalButton.Name = "pnlApprovalButton";
+            this.pnlApprovalButton.Size = new System.Drawing.Size(262, 34);
+            this.pnlApprovalButton.TabIndex = 121;
+            this.pnlApprovalButton.Visible = false;
+            // 
+            // btnOnApproval
+            // 
+            this.btnOnApproval.BackColor = System.Drawing.Color.MediumSpringGreen;
+            this.btnOnApproval.Location = new System.Drawing.Point(5, 3);
+            this.btnOnApproval.Name = "btnOnApproval";
+            this.btnOnApproval.Size = new System.Drawing.Size(83, 24);
+            this.btnOnApproval.TabIndex = 34;
+            this.btnOnApproval.TabStop = false;
+            this.btnOnApproval.Text = "承認";
+            this.btnOnApproval.UseVisualStyleBackColor = false;
+            // 
+            // btnNotApproval
+            // 
+            this.btnNotApproval.BackColor = System.Drawing.Color.Red;
+            this.btnNotApproval.Location = new System.Drawing.Point(171, 3);
+            this.btnNotApproval.Name = "btnNotApproval";
+            this.btnNotApproval.Size = new System.Drawing.Size(83, 24);
+            this.btnNotApproval.TabIndex = 35;
+            this.btnNotApproval.TabStop = false;
+            this.btnNotApproval.Text = "不承認";
+            this.btnNotApproval.UseVisualStyleBackColor = false;
+            // 
+            // btnOnHold
+            // 
+            this.btnOnHold.BackColor = System.Drawing.Color.Yellow;
+            this.btnOnHold.Location = new System.Drawing.Point(88, 3);
+            this.btnOnHold.Name = "btnOnHold";
+            this.btnOnHold.Size = new System.Drawing.Size(83, 24);
+            this.btnOnHold.TabIndex = 36;
+            this.btnOnHold.TabStop = false;
+            this.btnOnHold.Text = "保留";
+            this.btnOnHold.UseVisualStyleBackColor = false;
+            // 
             // FrmCancelRequest
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.MintCream;
-            this.ClientSize = new System.Drawing.Size(724, 401);
+            this.ClientSize = new System.Drawing.Size(724, 431);
+            this.Controls.Add(this.pnlApproval);
+            this.Controls.Add(this.pnlApprovalButton);
             this.Controls.Add(this.btnHelp);
             this.Controls.Add(this.groupBoxEx3);
             this.Controls.Add(this.btnCancel);
-            this.Controls.Add(this.btnExecProc1);
             this.Controls.Add(this.groupBoxEx1);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
@@ -255,7 +360,10 @@
             this.groupBoxEx1.PerformLayout();
             this.groupBoxEx3.ResumeLayout(false);
             this.groupBoxEx3.PerformLayout();
+            this.pnlApproval.ResumeLayout(false);
+            this.pnlApprovalButton.ResumeLayout(false);
             this.ResumeLayout(false);
+            this.PerformLayout();
 
         }
 
@@ -270,11 +378,18 @@
         private System.Windows.Forms.Label label4;
         private System.Windows.Forms.Label lblValue03;
         private System.Windows.Forms.Button btnCancel;
-        private System.Windows.Forms.Button btnExecProc1;
         private System.Windows.Forms.Label label7;
         private System.Windows.Forms.Label label2;
         private CustomControls.GroupBoxEx groupBoxEx3;
         private System.Windows.Forms.TextBox textBox1;
         private System.Windows.Forms.Button btnHelp;
+        private System.Windows.Forms.Panel pnlApproval;
+        private System.Windows.Forms.Label lblApprovalCount;
+        private System.Windows.Forms.Button btnPetition;
+        private System.Windows.Forms.Button btnApproval;
+        private System.Windows.Forms.Panel pnlApprovalButton;
+        private System.Windows.Forms.Button btnOnApproval;
+        private System.Windows.Forms.Button btnNotApproval;
+        private System.Windows.Forms.Button btnOnHold;
     }
 }
\ No newline at end of file
